Package org.apache.ignite.internal.binary.builder

## Class BinaryPlainBinaryObject

- java.lang.Object
- - org.apache.ignite.internal.binary.builder.BinaryPlainBinaryObject

All Implemented Interfaces:
  `BinaryLazyValue`

    public class BinaryPlainBinaryObject
    extends Object
    implements BinaryLazyValue

### Constructor Summary

Constructors
`BinaryPlainBinaryObject​(BinaryObject binaryObj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `value()`
`void` `writeTo​(BinaryWriterExImpl writer, org.apache.ignite.internal.binary.builder.BinaryBuilderSerializer ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryPlainBinaryObject

    public BinaryPlainBinaryObject​(BinaryObject binaryObj)

Parameters:
  `binaryObj` - Binary object.

### Method Detail

#### value

    public Object value()

Specified by:
  `value` in interface `BinaryLazyValue`
Returns:
  Value.

#### writeTo

    public void writeTo​(BinaryWriterExImpl writer,
                        org.apache.ignite.internal.binary.builder.BinaryBuilderSerializer ctx)